Update a model account credential
curl --request PUT \
--url https://app.factorize.sh/api/v1/model-accounts/{accountId} \
--header 'Content-Type: application/json' \
--cookie factorize_session= \
--data '
{
"expectedRevision": 4503599627370495,
"idempotencyKey": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"providerUrl": "<string>",
"apiKey": "<string>",
"contextWindow": 128000,
"maxTokens": 8192
}
'import requests
url = "https://app.factorize.sh/api/v1/model-accounts/{accountId}"
payload = {
"expectedRevision": 4503599627370495,
"idempotencyKey": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"providerUrl": "<string>",
"apiKey": "<string>",
"contextWindow": 128000,
"maxTokens": 8192
}
headers = {
"cookie": "factorize_session=",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {cookie: 'factorize_session=', 'Content-Type': 'application/json'},
body: JSON.stringify({
expectedRevision: 4503599627370495,
idempotencyKey: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
name: '<string>',
description: '<string>',
providerUrl: '<string>',
apiKey: '<string>',
contextWindow: 128000,
maxTokens: 8192
})
};
fetch('https://app.factorize.sh/api/v1/model-accounts/{accountId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.factorize.sh/api/v1/model-accounts/{accountId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'expectedRevision' => 4503599627370495,
'idempotencyKey' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'name' => '<string>',
'description' => '<string>',
'providerUrl' => '<string>',
'apiKey' => '<string>',
'contextWindow' => 128000,
'maxTokens' => 8192
]),
CURLOPT_COOKIE => "factorize_session=",
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.factorize.sh/api/v1/model-accounts/{accountId}"
payload := strings.NewReader("{\n \"expectedRevision\": 4503599627370495,\n \"idempotencyKey\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"providerUrl\": \"<string>\",\n \"apiKey\": \"<string>\",\n \"contextWindow\": 128000,\n \"maxTokens\": 8192\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("cookie", "factorize_session=")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://app.factorize.sh/api/v1/model-accounts/{accountId}")
.header("cookie", "factorize_session=")
.header("Content-Type", "application/json")
.body("{\n \"expectedRevision\": 4503599627370495,\n \"idempotencyKey\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"providerUrl\": \"<string>\",\n \"apiKey\": \"<string>\",\n \"contextWindow\": 128000,\n \"maxTokens\": 8192\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.factorize.sh/api/v1/model-accounts/{accountId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["cookie"] = 'factorize_session='
request["Content-Type"] = 'application/json'
request.body = "{\n \"expectedRevision\": 4503599627370495,\n \"idempotencyKey\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"providerUrl\": \"<string>\",\n \"apiKey\": \"<string>\",\n \"contextWindow\": 128000,\n \"maxTokens\": 8192\n}"
response = http.request(request)
puts response.read_body{
"revision": 4503599627370495,
"duplicate": true
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}model-accounts
Update a model account credential
Owner session required. An omitted API key preserves the saved key when the provider URL is unchanged. Supply a replacement key or explicit null for keyless access when changing the provider URL. Active runs use the updated credential on their next request.
Requires the integrations:write scope.
An interactive owner session is required; bearer tokens cannot call this operation.
PUT
/
api
/
v1
/
model-accounts
/
{accountId}
Update a model account credential
curl --request PUT \
--url https://app.factorize.sh/api/v1/model-accounts/{accountId} \
--header 'Content-Type: application/json' \
--cookie factorize_session= \
--data '
{
"expectedRevision": 4503599627370495,
"idempotencyKey": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"providerUrl": "<string>",
"apiKey": "<string>",
"contextWindow": 128000,
"maxTokens": 8192
}
'import requests
url = "https://app.factorize.sh/api/v1/model-accounts/{accountId}"
payload = {
"expectedRevision": 4503599627370495,
"idempotencyKey": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"providerUrl": "<string>",
"apiKey": "<string>",
"contextWindow": 128000,
"maxTokens": 8192
}
headers = {
"cookie": "factorize_session=",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {cookie: 'factorize_session=', 'Content-Type': 'application/json'},
body: JSON.stringify({
expectedRevision: 4503599627370495,
idempotencyKey: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
name: '<string>',
description: '<string>',
providerUrl: '<string>',
apiKey: '<string>',
contextWindow: 128000,
maxTokens: 8192
})
};
fetch('https://app.factorize.sh/api/v1/model-accounts/{accountId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.factorize.sh/api/v1/model-accounts/{accountId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'expectedRevision' => 4503599627370495,
'idempotencyKey' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'name' => '<string>',
'description' => '<string>',
'providerUrl' => '<string>',
'apiKey' => '<string>',
'contextWindow' => 128000,
'maxTokens' => 8192
]),
CURLOPT_COOKIE => "factorize_session=",
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.factorize.sh/api/v1/model-accounts/{accountId}"
payload := strings.NewReader("{\n \"expectedRevision\": 4503599627370495,\n \"idempotencyKey\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"providerUrl\": \"<string>\",\n \"apiKey\": \"<string>\",\n \"contextWindow\": 128000,\n \"maxTokens\": 8192\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("cookie", "factorize_session=")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://app.factorize.sh/api/v1/model-accounts/{accountId}")
.header("cookie", "factorize_session=")
.header("Content-Type", "application/json")
.body("{\n \"expectedRevision\": 4503599627370495,\n \"idempotencyKey\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"providerUrl\": \"<string>\",\n \"apiKey\": \"<string>\",\n \"contextWindow\": 128000,\n \"maxTokens\": 8192\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.factorize.sh/api/v1/model-accounts/{accountId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["cookie"] = 'factorize_session='
request["Content-Type"] = 'application/json'
request.body = "{\n \"expectedRevision\": 4503599627370495,\n \"idempotencyKey\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"providerUrl\": \"<string>\",\n \"apiKey\": \"<string>\",\n \"contextWindow\": 128000,\n \"maxTokens\": 8192\n}"
response = http.request(request)
puts response.read_body{
"revision": 4503599627370495,
"duplicate": true
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}Path Parameters
Body
application/json